Python 3.12.8 (tags/v3.12.8:2dc476b, Dec  3 2024, 19:30:04) [MSC v.1942 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license()" for more information.
>>> import itertools
... import math
... 
... def distance(p1, p2):
...     return math.sqrt((p1[0] - p2[0])**2 + (p1[1] - p2[1])**2)
... 
... def total_path_length(points, permutation):
...     total_length = 0
...     for i in range(len(permutation) - 1):
...         total_length += distance(points[permutation[i]], points[permutation[i+1]])
...     return total_length
... 
... n = int(input())
... points = []
... for _ in range(n):
...     x, y = map(int, input().split())
...     points.append((x, y))
... 
... min_length = float('inf')
... for permutation in itertools.permutations(range(n)):
...     length = total_path_length(points, permutation)
...     min_length = min(min_length, length)
... 
