Python 3.12.8 (tags/v3.12.8:2dc476b, Dec  3 2024, 19:30:04) [MSC v.1942 64 bit (AMD64)] on win32
Type "help", "copyright", "credits" or "license()" for more information.
>>> def lunar_add(a, b):
...     """Adds two numbers in Lunar Arithmetic."""
...     a_str = str(a)
...     b_str = str(b)
...     max_len = max(len(a_str), len(b_str))
...     a_str = a_str.zfill(max_len)  # Pad with leading zeros if needed
...     b_str = b_str.zfill(max_len)
... 
...     result = ""
...     carry = 0
...     for i in range(max_len - 1, -1, -1):
...         digit_sum = int(a_str[i]) + int(b_str[i]) + carry
...         result = str(digit_sum % 10) + result
...         carry = digit_sum // 10
...     if carry:
...         result = str(carry) + result
...     return int(result)
... 
... def lunar_multiply(a, b):
...     """Multiplies two numbers in Lunar Arithmetic."""
...     a_str = str(a)
...     b_str = str(b)
...     
...     result = 0
...     for i, digit_b in enumerate(reversed(b_str)):
...       product = int(digit_b) * a
...       product_shifted = product * (10**i)
...       result = lunar_add(result, product_shifted)
...     
...     return result
... 
... 
... 
... a = int(input())
... b = int(input())
... 
... sum_lunar = lunar_add(a, b)
... product_lunar = lunar_multiply(a,b)
... 
